/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 * @author obper
 */
@Embeddable
public class WcOfertasFlotantesPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 4)
    @Column(name = "oferta_codigo")
    private String ofertaCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 3)
    @Column(name = "programa_codigo")
    private String programaCodigo;

    public WcOfertasFlotantesPK() {
    }

    public WcOfertasFlotantesPK(String productoCodigo, String ofertaCodigo, String programaCodigo) {
        this.productoCodigo = productoCodigo;
        this.ofertaCodigo = ofertaCodigo;
        this.programaCodigo = programaCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getOfertaCodigo() {
        return ofertaCodigo;
    }

    public void setOfertaCodigo(String ofertaCodigo) {
        this.ofertaCodigo = ofertaCodigo;
    }

    public String getProgramaCodigo() {
        return programaCodigo;
    }

    public void setProgramaCodigo(String programaCodigo) {
        this.programaCodigo = programaCodigo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        hash += (ofertaCodigo != null ? ofertaCodigo.hashCode() : 0);
        hash += (programaCodigo != null ? programaCodigo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof WcOfertasFlotantesPK)) {
            return false;
        }
        WcOfertasFlotantesPK other = (WcOfertasFlotantesPK) object;
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        if ((this.ofertaCodigo == null && other.ofertaCodigo != null) || (this.ofertaCodigo != null && !this.ofertaCodigo.equals(other.ofertaCodigo))) {
            return false;
        }
        if ((this.programaCodigo == null && other.programaCodigo != null) || (this.programaCodigo != null && !this.programaCodigo.equals(other.programaCodigo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.dbcon.WcOfertasFlotantesPK[ productoCodigo=" + productoCodigo + ", ofertaCodigo=" + ofertaCodigo + ", programaCodigo=" + programaCodigo + " ]";
    }

}
